package com.elitesland.common.rpc.demo;

import com.elitesland.common.dto.product.DemoProductDTO;
import com.elitesland.core.base.ApiResult;

/**
 * <p>
 * 功能说明
 *  Demo服务调用Product服务
 * </p >
 *
 * @author Roman.Zhang
 * @date 2021/1/30
 */
public interface DemoRpcProductService {

    /**
     * demo服务调用product服务，用于演示测试
     * @param demoProductDTO 商品信息
     * @return
     */
    ApiResult<Object> getProduct(DemoProductDTO demoProductDTO);
}
